#
# spec file for package kak-lsp
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           kak-lsp
Version:        14.1.0
Release:        bp155.1.6
Summary:        Language Server Protocol client for Kakoune
License:        (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR BSL-1.0 OR MIT) AND (Apache-2.0 OR MIT) AND (Apache-2.0 OR Apache-2.0 WITH LLVM-exception OR MIT) AND (Apache-2.0 OR MIT OR Zlib) AND (Apache-2.0 OR MIT OR MPL-2.0) AND (MIT OR Unlicense) AND (Apache-2.0 OR Zlib OR MIT) AND MIT AND Zlib AND Unlicense
URL:            https://github.com/kak-lsp/kak-lsp
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz
Source1:        vendor.tar.gz
Source2:        cargo_config
BuildRequires:  cargo-packaging

%description
kak-lsp is a Language Server Protocol client for Kakoune written in Rust.

%prep
%autosetup -a1
mkdir -p .cargo
cp %{SOURCE2} .cargo/config

%build
%{cargo_build}

%install
%{cargo_install}

%files
%license UNLICENSE COPYING MIT
%doc     README.asciidoc CHANGELOG.md
%{_bindir}/kak-lsp

%changelog
* Sat Nov 12 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Update to version 14.1.0:
  * Additions:
  - Default language server for protobuf.
  - Added support for `codeAction/resolve`, which allows to use code
    actions sent by Deno for example.
  - The recommended mappings have been augmented by new command
    `lsp-diagnostic-object` to jump to next/previous diagnostics.
  - `lsp-auto-signature-help-enable` now shows an info box by default,
    and formats the active parameter in a bold font.
  - `lsp-definition` and friends now select the symbol name instead of merely
    placing the cursor at symbol start. Same for `lsp-find-error`.
  - `lsp-highlight-references` now selects all references in the current buffer.
  - New `lsp-inlay-code-lenses-enable` command allows to render code
    lenses as virtual text (#623).
  - The support for `filterText` in completions no longer depends on an
    out-of-tree Kakoune feature.
  * Fixes:
  - Fix lags due to `rust-analyzer` sending a ton of progress reports.
  - `lsp-rename` will now write hidden buffers that are affected by the rename,
    to give the language server and other external tools a more consistent
    view of affected files.
  - Suppress "language server not initialized" errors that originate from hooks.
  - Fix a glitch when a line has both a code lens and an inline diagnostic.
  - When talking to servers that don't support UTF-8 byte-offsets, `kak-lsp`
    now adheres to the LSP specification by treating column-offsets
    as UTF-16 Code Units instead of Unicode Code Points.
* Sun Sep 25 2022 socvirnyl.estela@gmail.com
- Update to version 14.0.0:
  * Update changelog for release
  * lsp-goto-document-symbol: map to s instead of <c-o>
  * test: work around "unconfigured filetype" error in tests
  * test: remove unnecessary code for macOS-specific tests
  * Advertise some more LSP capabilities
  * capabilities: minor consistency change
  * clippy
  * lsp-goto-document-symbol: support nested symbols
  * lsp-capabilities: also advertise more commands based on textDocument/documentSymbols
* Tue May 17 2022 socvirnyl.estela@gmail.com
- Update to version 12.2.1:
  * v12.2.1
  * Update changelog for release
  * Test code lens from haskell-language-server
  * lsp-code-lens: pass correct args to lsp-perform-code-lens
  * start new cycle
  * v12.2.0
  * Update changelog for release
  * README: clarify "cargo install" behavior and kak-lsp.toml creation when using plug.kak
  * README: remove misleading warning
  * lsp-hover: limit to 20 lines via lsp_hover_max_lines
* Wed Apr  6 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Initial spec for kak-lsp (12.1.0)
